2018-12-18 23:18 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000098Branch 0.2.1-FINALBugpublic2016-11-23 10:25
Reporterpiter01 
Assigned Touser13 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000098: Startseite-Instalation
DescriptionHallo,
habe nach langem wiedermal die Aktuelle Version gezogen.
Kann in moment nicht instalieren, weil ich bekomme da folgende Fehlermeldung:

27.02.2009|08:40:05|__errorHandler|69|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:40:05|debug_report_bug|3216|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:40:05|getMessage|2930|Missing message string NO_DB_LINK detected.
27.02.2009|08:40:05|addFatalMessage|200| message=!NO_DB_LINK!
27.02.2009|08:40:06|__errorHandler|69|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:40:06|debug_report_bug|3216|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:40:06|getMessage|2930|Missing message string NO_DB_LINK detected.
27.02.2009|08:40:06|addFatalMessage|200| message=!NO_DB_LINK!
27.02.2009|08:40:58|__errorHandler|69|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:40:58|debug_report_bug|3216|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:40:58|getMessage|2930|Missing message string NO_DB_LINK detected.
27.02.2009|08:40:58|addFatalMessage|200| message=!NO_DB_LINK!
27.02.2009|08:40:59|__errorHandler|69|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:40:59|debug_report_bug|3216|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:40:59|getMessage|2930|Missing message string NO_DB_LINK detected.
27.02.2009|08:40:59|addFatalMessage|200| message=!NO_DB_LINK!
27.02.2009|08:40:59|__errorHandler|69|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:40:59|debug_report_bug|3216|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:40:59|getMessage|2930|Missing message string NO_DB_LINK detected.
27.02.2009|08:40:59|addFatalMessage|200| message=!NO_DB_LINK!
27.02.2009|08:40:59|__errorHandler|69|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:40:59|debug_report_bug|3216|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:40:59|getMessage|2930|Missing message string NO_DB_LINK detected.
27.02.2009|08:40:59|addFatalMessage|200| message=!NO_DB_LINK!
27.02.2009|08:40:59|__errorHandler|69|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:40:59|debug_report_bug|3216|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:40:59|getMessage|2930|Missing message string NO_DB_LINK detected.
27.02.2009|08:40:59|addFatalMessage|200| message=!NO_DB_LINK!
27.02.2009|08:41:00|__errorHandler|69|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:41:00|debug_report_bug|3216|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:41:00|getMessage|2930|Missing message string NO_DB_LINK detected.
27.02.2009|08:41:00|addFatalMessage|200| message=!NO_DB_LINK!
27.02.2009|08:41:00|__errorHandler|69|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:41:00|debug_report_bug|3216|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:41:00|getMessage|2930|Missing message string NO_DB_LINK detected.
27.02.2009|08:41:00|addFatalMessage|200| message=!NO_DB_LINK!
27.02.2009|08:41:00|__errorHandler|69|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:41:00|debug_report_bug|3216|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:41:00|getMessage|2930|Missing message string NO_DB_LINK detected.
27.02.2009|08:41:00|addFatalMessage|200| message=!NO_DB_LINK!
27.02.2009|08:41:00|__errorHandler|69|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:41:00|debug_report_bug|3216|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:41:00|getMessage|2930|Missing message string NO_DB_LINK detected.
27.02.2009|08:41:00|addFatalMessage|200| message=!NO_DB_LINK!
27.02.2009|08:41:00|__errorHandler|69|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:41:00|debug_report_bug|3216|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:41:00|getMessage|2930|Missing message string NO_DB_LINK detected.
27.02.2009|08:41:00|addFatalMessage|200| message=!NO_DB_LINK!
27.02.2009|08:41:00|__errorHandler|69|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:41:00|debug_report_bug|3216|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:41:00|getMessage|2930|Missing message string NO_DB_LINK detected.
27.02.2009|08:41:00|addFatalMessage|200| message=!NO_DB_LINK!
27.02.2009|08:41:01|__errorHandler|69|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:41:01|debug_report_bug|3216|errno=2,errstr=file_put_contents(/srv/www/vhosts/mc-mailtausch/inc/cache/.revision) [function.file-put-contents]: failed to open stream: Permission denied,errfile=functions.php,errline=3056
27.02.2009|08:41:01|getMessage|2930|Missing message string NO_DB_LINK detected.
27.02.2009|08:41:01|addFatalMessage|200| message=!NO_DB_LINK!
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000256

Quix0r (administrator)

Ich hab erstmal WRITE_FILE so erweitert, dass eine Fehlermeldung kommt, wenn die Datei nicht beschreibbar ist und die Zugriffsrechte nicht aenderbar waren.

~0000257

piter01 (reporter)

Jetzt ist die Meldung weg und bekomme nun eine leere Seite angezeigt.
Bin in moment mir ratlos warum.
Ein anderes auf PHP basierendes Projekt wird mit problemlos angezeigt.

~0000258

Quix0r (administrator)

Ich brauche hier eine Dev-Umgebung, so hat das keine Sinn. :(

~0000259

Quix0r (administrator)

( ! ) Parse error: syntax error, unexpected '{' in /var/www/virtual/mxchange-demo.de/htdocs/inc/functions.php on line 3054

~0000260

Quix0r (administrator)

Der sollte nun weg sein. @piter01: Vielleicht ist in deiner php.ini das "error_reporting" aus?

~0000275

Quix0r (administrator)

Revision 768 fixt einen weiteren Typo. Ich kann hier nur auf http://www.mxchange-demo.de testen, da ich (noch) keine Dev-Umgebung habe.

~0000279

piter01 (reporter)

Habe mal bei mir geschaut, ist "angeblich" an.
Habe mir die aktuelle Version gezogen, jet bekomme ich die meldung:

Note: errno=2,errstr=chmod() [function.chmod]: Operation not permitted,errfile=functions.php,errline=3038
Please report this error at bugs.mxchange.org:

   1. functions.php:3218, debug_get_printable_backtrace(0)
   2. mysql-connect.php:77, debug_report_bug(1)
   3. functions.php:3189, __errorHandler(5)
   4. functions.php:3038, chmod(2)
   5. functions.php:3134, WRITE_FILE(2)
   6. databases.php:100, getActualVersion(1)
   7. functions.php:3165, require(1)
   8. functions.php:3173, LOAD_INC(1)
   9. mysql-connect.php:259, LOAD_INC_ONCE(1)
  10. config.php:165, require(1)
  11. index.php:49, require(1)


Thank you for your help finding bugs.

~0000285

Quix0r (administrator)

Hmpf, die Datei gehoert dem User nicht. :( Einfach mal loeschen.

~0000286

Quix0r (administrator)

Habs mit Commit 771 erstmal rausgenommen.

~0000292

Quix0r (administrator)

Ich kann hier soweit nichts feststellen. Profi-Concept: Klappts bei dir auch? Hab MXChange gerade nicht installiert. :)

~0000304

user13

Sollte eigentlich ein für allemal mit den letzten Revs behoben sein. Die .revision-Datei wird nur mehr bei nicht aktiver ext-cache benutzt und sollte jetzt eigentlich keine fehlermeldung mehr machen.

~0000760

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-02-27 07:45 piter01 New Issue
2009-02-27 15:47 Quix0r Status new => assigned
2009-02-27 15:47 Quix0r Assigned To => Quix0r
2009-02-27 15:48 Quix0r Projection none => minor fix
2009-02-27 15:48 Quix0r ETA none => < 1 day
2009-02-27 15:48 Quix0r Product Version => 0.2.1-FINAL
2009-02-27 15:48 Quix0r Build => SVN-HEAD
2009-02-27 15:48 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-27 15:48 Quix0r Target Version => 0.2.1-FINAL
2009-02-27 15:54 Quix0r Note Added: 0000256
2009-02-27 19:05 piter01 Note Added: 0000257
2009-02-27 23:00 Quix0r Note Added: 0000258
2009-02-27 23:01 Quix0r Note Added: 0000259
2009-02-27 23:49 Quix0r Note Added: 0000260
2009-02-28 17:01 Quix0r Note Added: 0000275
2009-02-28 19:04 piter01 Note Added: 0000279
2009-02-28 22:04 Quix0r Note Added: 0000285
2009-02-28 22:05 Quix0r Note Added: 0000286
2009-03-02 15:35 Quix0r Note Added: 0000292
2009-03-02 15:35 Quix0r Assigned To Quix0r => user13
2009-03-02 15:35 Quix0r Status assigned => feedback
2009-03-06 20:28 user13 Note Added: 0000304
2009-03-06 20:28 user13 Status feedback => resolved
2009-03-06 20:28 user13 Resolution open => fixed
2016-11-23 10:25 Quix0r Note Added: 0000760
2016-11-23 10:25 Quix0r Status resolved => closed
+Issue History